# ViewGroup

@ Hikageable
@ JvmName (name = "ViewGroupLP")
inline fun < VG : ViewGroup , LP : ViewGroup.LayoutParams > ViewGroup (lparams: Hikage.LayoutParams ? = null, id: String ? = null, init: HikageView < VG > = {}, performer: HikagePerformer < LP > = {}): VG

Provide a new ViewGroup instance VG.

Provide the new type of ViewGroup.LayoutParams down via LP.

- Note: The VG must be inherited from ViewGroup.

#### Return

VG

#### Parameters

lparams

the view layout params.

id

the view id, generated by default.

init

the view initialization body.

performer

the performer body.

@ Hikageable
inline fun < VG : ViewGroup > ViewGroup (lparams: Hikage.LayoutParams ? = null, id: String ? = null, init: HikageView < VG > = {}, performer: HikagePerformer < ViewGroup.LayoutParams > = {}): VG

Provide a new ViewGroup instance VG.

- Note: The VG must be inherited from ViewGroup.

#### Return

VG

#### Parameters

lparams

the view layout params.

id

the view id, generated by default.

init

the view initialization body.

performer

the performer body.